package com.yaoyicloud.render.test;

import static org.junit.Assert.assertTrue;
import java.io.IOException;
import java.net.URISyntaxException;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.Map;

import org.junit.Test;

import com.yaoyicloud.message.FxyProtos.Attachment;
import com.yaoyicloud.message.FxyProtos.AttachmentSection;
import com.yaoyicloud.render.AttachmentSectionRender;

public class TestAttachmentSectionRender {

    @Test
    public void testRenderDocx() throws IOException, URISyntaxException {

        byte[] content = Files
            .readAllBytes(Paths.get(getClass().getClassLoader().getResource("docx/attachments.docx").toURI()));
        AttachmentSectionRender render = new AttachmentSectionRender("../temp/");
        String retPath = render.renderDocx(
            AttachmentSection.newBuilder()
                .setSelfDeclLink("https://abc.com/111")
                .addBusinessLicenseImages(Attachment.newBuilder().setFileName("").setFileUri("https://bcd.com"))
                .addBusinessLicenseImages(Attachment.newBuilder().setFileName("yyc_past_logo.70f2a91c.png")
                    .setFileUri("https://pre.yaoeasier.com/assets/yyc_past_logo.70f2a91c.png"))
                .addBusinessLicenseImages(Attachment.newBuilder().setFileName(".pdf")
                    .setFileUri(
                        "https://pre.yaoeasier.com/#/decl?tId=1834769374606344194&declSn=271af310f8194007b6444b13a95cf267"))
                .build(),
            Map.of(),
            content);

        assertTrue(retPath.length() > 0);
    }

}
